summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-10 23:13:08 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-10 23:13:08 (GMT)
commit88c1b84963b442a1d39d8193ce72d17e297f006f (patch)
tree707179173751bff29a018a403dbed4923db47985
parentbf347ccc26e6d65950cea72b1990dbf8c9fe98c1 (diff)
parent7921961814dea89fbf846d06095afd207c8dfd23 (diff)
downloadlinhes_pkgbuild-88c1b84963b442a1d39d8193ce72d17e297f006f.zip
linhes_pkgbuild-88c1b84963b442a1d39d8193ce72d17e297f006f.tar.gz
linhes_pkgbuild-88c1b84963b442a1d39d8193ce72d17e297f006f.tar.bz2
Merge branch 'testing' of ssh://linhes.org/mount/repository/linhes_pkgbuild into testing
-rw-r--r--abs/core/ffmpeg-svn/PKGBUILD82
-rw-r--r--abs/core/imagemagick/PKGBUILD9
-rw-r--r--abs/core/libtheora/PKGBUILD24
-rw-r--r--abs/core/morethemes/PKGBUILD66
-rw-r--r--abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch22
-rw-r--r--abs/core/mplayer/PKGBUILD83
-rw-r--r--abs/core/mythplugins/PKGBUILD2
-rw-r--r--abs/core/myththemes/PKGBUILD51
-rwxr-xr-xabs/core/mythtv/stable-0.24/PKGBUILD21
-rw-r--r--abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch18
-rw-r--r--abs/core/mythtv/stable-0.24/smolt_jump.patch28
-rw-r--r--abs/core/transcode/PKGBUILD87
-rw-r--r--abs/core/transcode/transcode-1.1.5-jpeg-7.patch16
-rw-r--r--abs/core/transcode/transcode-1.1.5-mpa.patch10
-rw-r--r--abs/core/x264/PKGBUILD18
-rw-r--r--abs/extra/libbluray-git/PKGBUILD38
-rw-r--r--abs/extra/libdvdcss/PKGBUILD14
-rw-r--r--abs/extra/libdvdnav/PKGBUILD26
-rw-r--r--abs/extra/libdvdnav/deadlock.patch17
-rw-r--r--abs/extra/libdvdread/DVDFileStat.patch238
-rw-r--r--abs/extra/libdvdread/PKGBUILD36
-rw-r--r--abs/extra/libva/PKGBUILD34
-rw-r--r--abs/extra/libva/libva-dont-install-tests.patch45
-rw-r--r--abs/extra/libva/patch1.patch11
-rw-r--r--abs/extra/libvpx/PKGBUILD28
-rw-r--r--abs/extra/mpg123/PKGBUILD33
-rw-r--r--abs/extra/opencore-amr/PKGBUILD24
-rw-r--r--abs/extra/orc/PKGBUILD24
-rw-r--r--abs/extra/rtmpdump/PKGBUILD41
-rw-r--r--abs/extra/schroedinger/PKGBUILD29
30 files changed, 968 insertions, 207 deletions
diff --git a/abs/core/ffmpeg-svn/PKGBUILD b/abs/core/ffmpeg-svn/PKGBUILD
index 0eafb3f..7195000 100644
--- a/abs/core/ffmpeg-svn/PKGBUILD
+++ b/abs/core/ffmpeg-svn/PKGBUILD
@@ -1,59 +1,71 @@
-# Contributor: raubkopierer <mail[dot]sensenmann[at]googlemail[dot]com>
+# $Id: PKGBUILD 98250 2010-11-05 15:59:39Z ibiru $
+# Maintainer : Ionut Biru <ibiru@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+# Contributor: Paul Mattal <paul@archlinux.org>
pkgname=ffmpeg-svn
-pkgver=19483
-pkgrel=1
+pkgver=25715
+pkgrel=2
pkgdesc="Complete and free Internet live audio and video broadcasting solution for Linux/Unix"
arch=('i686' 'x86_64')
-url="http://ffmpeg.mplayerhq.hu/"
+url="http://ffmpeg.org/"
license=('GPL')
-depends=('lame' 'sdl' 'faad2' 'faac' 'zlib' 'imlib2' 'x264' 'libtheora')
-makedepends=('subversion')
+depends=('bzip2' 'lame' 'sdl' 'libtheora' 'libvorbis' 'faac' 'xvidcore' 'zlib' 'x264' 'libtheora' 'opencore-amr' 'alsa-lib' 'libvdpau' 'libxfixes' 'schroedinger' 'libvpx' 'libva>=1.0.4' 'openjpeg')
+makedepends=('yasm')
+options=('force')
provides=("ffmpeg=`date +%Y%m%d`")
conflicts=('ffmpeg')
-source=()
-md5sums=()
_svntrunk=svn://svn.ffmpeg.org/ffmpeg/trunk
_svnmod=ffmpeg
build() {
- cd "$srcdir"
+ cd "${srcdir}"
- if [ -d $_svnmod/.svn ]; then
- (cd $_svnmod && svn up -r $pkgver)
+ if [ -d ${_svnmod}/.svn ]; then
+ (cd ${_svnmod} && svn up -r ${pkgver})
else
- svn co $_svntrunk --config-dir ./ -r $pkgver $_svnmod
+ svn co ${_svntrunk} --config-dir ./ -r ${pkgver} ${_svnmod}
fi
msg "SVN checkout done or server timeout"
msg "Starting make..."
- rm -rf "$_svnmod-build"
- mkdir "$_svnmod-build"
- cd "$_svnmod-build"
-
- "$srcdir/$_svnmod/configure" \
- --prefix=/usr \
- --enable-gpl \
- --enable-nonfree \
- --enable-libmp3lame \
- --enable-libfaac \
- --enable-libfaad \
- --enable-libx264 \
- --enable-libtheora \
- --enable-postproc \
- --enable-shared \
- --enable-pthreads \
- --enable-x11grab \
- --arch=`uname -m` \
- --enable-libxvid \
- || return 1
+ rm -rf "{$_svnmod}-build"
+ mkdir "${_svnmod}-build"
+ cd "${_svnmod}-build"
+
+ "${srcdir}/${_svnmod}/configure" \
+ --prefix=/usr \
+ --enable-gpl \
+ --enable-libmp3lame \
+ --enable-libvorbis \
+ --enable-libfaac \
+ --enable-libxvid \
+ --enable-libx264 \
+ --enable-libvpx \
+ --enable-libtheora \
+ --enable-postproc \
+ --enable-shared \
+ --enable-pthreads \
+ --enable-x11grab \
+ --enable-libopencore_amrnb \
+ --enable-libopencore_amrwb \
+ --enable-libschroedinger \
+ --enable-libopenjpeg \
+ --enable-version3 \
+ --enable-nonfree \
+ --enable-runtime-cpudetect \
+ --disable-debug # libfaac is nonfree
make || return 1
make doc/ff{mpeg,play,server}.1 || return 1
+}
- make DESTDIR="$pkgdir" install || return 1
- make DESTDIR="$pkgdir" install-man || return 1
-
+package() {
+ cd "${srcdir}/${_svnmod}-build"
+ make DESTDIR="${pkgdir}" install || return 1
+ make DESTDIR="${pkgdir}" install-man || return 1
}
+
+# vim:set ts=2 sw=2 et:
diff --git a/abs/core/imagemagick/PKGBUILD b/abs/core/imagemagick/PKGBUILD
index 2a797c7..bf65b7f 100644
--- a/abs/core/imagemagick/PKGBUILD
+++ b/abs/core/imagemagick/PKGBUILD
@@ -3,7 +3,7 @@
# Maintainer: DAniel J Griffiths <ghost1227@archlinux.us>
pkgname=imagemagick
-pkgver=6.6.4.3
+pkgver=6.6.5.7
pkgrel=1
pkgdesc="An image viewing/manipulation program"
arch=('i686' 'x86_64')
@@ -21,10 +21,6 @@ options=('!makeflags' '!docs' 'force')
source=(ftp://ftp.imagemagick.org/pub/ImageMagick/ImageMagick-${pkgver%.*}-${pkgver##*.}.tar.xz \
libpng_mmx_patch_x86_64.patch
perlmagick.rpath.patch)
-md5sums=('be87050ec143205326f2e9fbbc7da03a' '069980fc2590c02aed86420996259302'\
- 'ff9974decbfe9846f8e347239d87e4eb')
-sha1sums=('9f6c800560998b6a5e96b1a62d2b13140de9d1d7' 'e42f3acbe85b6098af75c5cecc9a254baaa0482c'\
- '23405f80904b1de94ebd7bd6fe2a332471b8c283')
build() {
cd "${srcdir}"/ImageMagick-${pkgver%.*}-${pkgver##*.}
@@ -56,3 +52,6 @@ package() {
find "${pkgdir}" -name '*.bs' -exec rm {} \;
rm -f "${pkgdir}"/usr/lib/*.la
}
+md5sums=('dd8ae557c11472df1a5643c7d1e24c33'
+ '069980fc2590c02aed86420996259302'
+ 'ff9974decbfe9846f8e347239d87e4eb')
diff --git a/abs/core/libtheora/PKGBUILD b/abs/core/libtheora/PKGBUILD
index b0ee1ac..1592aa5 100644
--- a/abs/core/libtheora/PKGBUILD
+++ b/abs/core/libtheora/PKGBUILD
@@ -1,26 +1,28 @@
-# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# $Id: PKGBUILD 57638 2009-11-01 07:56:06Z eric $
# Maintainer: Tom Killian <tom@archlinux.org>
# Committer: dorphell <dorphell@archlinux.org>
pkgname=libtheora
-pkgver=1.0beta1
+pkgver=1.1.1
pkgrel=1
pkgdesc="An open video codec developed by the Xiph.org"
arch=('i686' 'x86_64')
+url="http://www.xiph.org"
+license=('BSD')
depends=('libogg')
makedepends=('libvorbis')
-url=http://www.xiph.org
-license=('custom')
+options=('!libtool')
source=(http://downloads.xiph.org/releases/theora/libtheora-${pkgver}.tar.bz2)
+md5sums=('292ab65cedd5021d6b7ddd117e07cd8e')
+sha1sums=('8dcaa8e61cd86eb1244467c0b64b9ddac04ae262')
build() {
- cd ${startdir}/src/libtheora-${pkgver}
- ./configure --prefix=/usr --enable-shared
+ cd "${srcdir}/libtheora-${pkgver}"
+ ./configure --prefix=/usr --enable-shared --disable-static || return 1
make || return 1
- make DESTDIR=${startdir}/pkg install
+ make DESTDIR="${pkgdir}" install || return 1
- for file in LICENSE COPYING ; do
- install -D $file $startdir/pkg/usr/share/licenses/libtheora/$file
- done
+ install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+ install -m644 LICENSE COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
}
-md5sums=('e2ff1996c5a9fadd0df1025aa10bc35e')
+
diff --git a/abs/core/morethemes/PKGBUILD b/abs/core/morethemes/PKGBUILD
new file mode 100644
index 0000000..739689a
--- /dev/null
+++ b/abs/core/morethemes/PKGBUILD
@@ -0,0 +1,66 @@
+pkgname=morethemes
+pkgver=0.24
+pkgrel=2
+pkgdesc="Additional themes for MythTV"
+url="http://www.mythtv.org"
+license="GPL"
+arch=('any')
+depends=('mythtv')
+groups=('mythtv-extras')
+source=(#'ftp://ftp.knoppmyth.net/R6/sources/morethemes-0.23.tar.bz2'
+ 'ftp://miroku.no-ip.com/blue-abstract-wide.2010.09.16.tar.bz2'
+ 'http://elkin.de/mythtv/2010.09.08-blootube-ng.tar.bz2'
+ 'http://elkin.de/mythtv/2010.11.04-Willi.tar.lzma'
+ 'http://elkin.de/mythtv/2010.03.13-bando-blue.tar.bz2'
+ 'http://www.thepetersclan.com/files/TintedGlass-1.18.tbz2'
+ 'http://www.thepetersclan.com/files/Mod-Gray-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/Bluebar-Hires-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/BlueCurves-OSD.tar.bz2'
+ 'http://www.thepetersclan.com/files/SimplyBlue-OSD.tbz2'
+ 'http://www.thepetersclan.com/files/BlueCurves2-OSD.tbz2'
+ 'http://www.thepetersclan.com/files/BlueCurves-2.1-OSD.tbz2'
+ 'http://www.mythtv.org/themes/LCARS.tar.gz'
+ 'http://www.mythtv.org/themes/TransBlue.tar.gz'
+ 'http://www.westnet.com/~chris/Mythtv/Retro-wide.tar.gz'
+ 'retro-wide_video-ui.xml-filetypes.patch'
+ 'http://capnbry.net/~bmayland/fi/pvr150/SimpleGray-OSD-0.4.tar.bz2'
+ 'http://www.jobs-khakis-chicks.com/MythTV/IsthmusBlue-OSD.tar.gz'
+ 'http://static.castlesblog.com/public/Glass-OSD-V1.3.zip'
+ 'http://static.castlesblog.com/public/Minimal-OSD-V1.1.zip')
+
+build() {
+ cd ${srcdir}
+ mkdir -p ${pkgdir}/usr/share/mythtv/themes
+
+ msg "Copying files..."
+ for d in `ls -d */`
+ do
+ cp -a "${d}" ${pkgdir}/usr/share/mythtv/themes
+ done
+
+ # Housekeeping
+ rm -fr "${pkgdir}/usr/share/mythtv/themes/__MACOSX" || return 1
+ # Little fix
+ cd ${pkgdir}/usr/share/mythtv/themes/Retro-wide || return 1
+ patch -p0 <${srcdir}/retro-wide_video-ui.xml-filetypes.patch || return 1
+}
+
+md5sums=('878605505599a0f49c44f3df9affe10f'
+ '7c2a2b238b7d44e52b7a8a0361d395aa'
+ '2890f3b991db805a88a48eb6c7048f91'
+ 'c6d90fb469bc30a94e32f76c82122dd3'
+ '80d250bf87c8f72ee238a91c854c0a11'
+ 'c973d0779967034f7a5bc0043574d6f9'
+ 'fb32ddd900e54cff62a62a21025b2585'
+ '79247cf87bbee10363bb214325b7f671'
+ '67c501b80afdefeca623261634dafd9c'
+ '7b2f2eca37f2d9598b00bce85a193bae'
+ '9793dc85a486e1ad9d0c0b6684efd245'
+ 'a36bb7b2597a44128401b1aba9106122'
+ '21d6f967631e45b7039b965a63755282'
+ 'bfc56ffe1c872989f7a1cb7ae20aea49'
+ 'e05bb3d77a11f97a1d547b2f5bc1ddf7'
+ '09dd8679b56794f9850a2382b4e1ea62'
+ 'b6c187b233778abacce102fe609d4e09'
+ 'f8d4fd90f1e45512ea5237de59d5090d'
+ '5646e1df6f593f7116cbdec656146266')
diff --git a/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch b/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch
new file mode 100644
index 0000000..c98487f
--- /dev/null
+++ b/abs/core/morethemes/retro-wide_video-ui.xml-filetypes.patch
@@ -0,0 +1,22 @@
+--- video-ui.xml.orig 2010-07-04 06:21:18.000000000 +0000
++++ video-ui.xml 2010-07-04 06:22:22.000000000 +0000
+@@ -967,14 +967,17 @@
+
+ <button name="done_button" from="basebutton">
+ <position>700,550</position>
++ <value>Done</value>
+ </button>
+
+ <button name="new_button" from="basebutton">
+- <position>600,550</position>
++ <position>400,550</position>
++ <value>New</value>
+ </button>
+
+ <button name="delete_button" from="basebutton">
+- <position>0,550</position>
++ <position>100,550</position>
++ <value>Delete</value>
+ </button>
+ </window>
+
diff --git a/abs/core/mplayer/PKGBUILD b/abs/core/mplayer/PKGBUILD
index 0b670c1..211fb50 100644
--- a/abs/core/mplayer/PKGBUILD
+++ b/abs/core/mplayer/PKGBUILD
@@ -1,5 +1,5 @@
pkgname=mplayer
-pkgver=29438
+pkgver=32613
pkgrel=1
pkgdesc="Famous multimedia player, dev. version, without its GUI"
arch=('i686' 'x86_64')
@@ -7,57 +7,72 @@ url="http://www.mplayerhq.hu/"
license=('GPL')
depends=('libxxf86dga' 'libxv' 'libmad' 'giflib' 'cdparanoia' 'gtk2'
'sdl' 'lame' 'libtheora' 'xvidcore' 'zlib' 'libmng' 'libxss'
- 'libgl' 'smbclient' 'aalib' 'x264>=20090108' 'faac' 'lirc-utils'
- 'ttf-dejavu' 'fribidi' 'libmng' 'libxfont' 'libjpeg')
+ 'libgl' 'smbclient' 'aalib' 'x264>=20101109' 'faac' 'lirc-utils'
+ 'ttf-dejavu' 'libmng' 'libxfont' 'libjpeg' 'rtmpdump' 'ladspa'
+ 'mpg123' 'libbluray-git' 'libcdio')
license=('GPL')
makedepends=('libcaca' 'unzip' 'live-media' 'libdca' 'subversion' 'nvidia-utils')
conflicts=('mplayer-nogui-svn')
provides=('mplayer')
-source=(http://knoppmyth.net/repo/source/mplayer-export-snapshot.tar.bz2 http://www.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2)
-md5sums=()
+#source=(http://knoppmyth.net/repo/source/mplayer-export-snapshot.tar.bz2 http://www.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2)
+source=(http://www.mplayerhq.hu/MPlayer/skins/Blue-1.7.tar.bz2)
_svnmod="mplayer"
_svntrunk=svn://svn.mplayerhq.hu/mplayer/trunk/
build() {
-
- cd $srcdir
-# if [ -d $_svnmod/.svn ]; then
-# cd $_svnmod
-# svn up -r $pkgver
-# else
-# svn co $_svntrunk --config-dir . -r $pkgver $_svnmod
-# fi
- # msg "SVN checkout done or server timeout"
+ cd ${srcdir}
+ if [ -d "${_svnmod}/.svn" ]; then
+ cd "${_svnmod}"
+ svn up -r ${pkgver}
+ else
+ svn co "${_svntrunk}" --config-dir . -r ${pkgver} "${_svnmod}"
+ fi
+ msg "SVN checkout done or server timeout"
- #cp -r $_svnmod $_svnmod-build
- cp -r mplayer-export-2009-04-03/ $_svnmod-build
- cd $_svnmod-build
+ cp -r "${_svnmod}" "${_svnmod}-build"
+# cp -r mplayer-export-2009-04-03/ "${_svnmod}-build"
+ cd "${_svnmod}-build"
msg "Building the package..."
- CFLAGS="$CFLAGS -fomit-frame-pointer"
+# CFLAGS="$CFLAGS -fomit-frame-pointer"
# Custom CFLAGS break the mplayer build
-# unset CFLAGS
- ./configure --prefix=/usr --enable-gui --disable-arts --enable-x11 \
- --enable-runtime-cpudetection --confdir=/etc/mplayer --disable-nas \
- --enable-tv-v4l1 --enable-tv-v4l2 --enable-largefiles \
- --disable-liblzo --disable-speex --disable-openal \
- --enable-fribidi --disable-libdv --disable-musepack \
- --language=all --disable-dvdnav --disable-esd --disable-mga \
- --disable-libamr_nb --enable-lirc --disable-jack \
- --enable-freetype --enable-vdpau
+ unset CFLAGS LDFLAGS
+ ./configure --prefix=/usr \
+ --enable-runtime-cpudetection \
+ --disable-gui \
+ --disable-arts \
+ --disable-liblzo \
+ --disable-speex \
+ --disable-openal \
+ --disable-fribidi \
+ --disable-libdv \
+ --disable-musepack \
+ --disable-esd \
+ --disable-mga \
+ --enable-xvmc \
+ --language=all \
+ --confdir=/etc/mplayer
+
+ [ "$CARCH" = "i686" ] && sed 's|-march=i486|-march=i686|g' -i config.mak
+
make || return 1
- make DESTDIR=$pkgdir install || return 1
+}
- install -m0644 etc/{codecs.conf,input.conf,example.conf} $pkgdir/etc/mplayer
- install -d $pkgdir/usr/share/mplayer/
- ln -s /usr/share/fonts/TTF/DejaVuSans.ttf $pkgdir/usr/share/mplayer/subfont.ttf
+package() {
+ cd "${srcdir}/${_svnmod}-build"
+ make -j1 DESTDIR=${pkgdir} install
+ install -Dm644 etc/{codecs.conf,input.conf,example.conf} ${pkgdir}/etc/mplayer/
+ install -dm755 ${pkgdir}/usr/share/mplayer/
+ ln -s /usr/share/fonts/TTF/DejaVuSans.ttf ${pkgdir}/usr/share/mplayer/subfont.ttf
rm -rf ${pkgdir}/usr/share/mplayer/font
+ mkdir -p ${pkgdir}/usr/share/mplayer/skins/default
mv ${srcdir}/Blue ${pkgdir}/usr/share/mplayer/skins/default
mkdir -p ${pkgdir}/usr/share/doc/mplayer
- cp ${srcdir}/$_svnmod-build/DOCS/tech/* ${pkgdir}/usr/share/doc/mplayer
- msg "Cleaning build files..."
- rm -rf $srcdir/$_svnmod-build
+ cp -r ${srcdir}/${_svnmod}-build/DOCS/tech/* ${pkgdir}/usr/share/doc/mplayer/
+ msg "Cleaning build files..."
+ rm -rf "${srcdir}/${_svnmod}-build"
}
+md5sums=('e4e2020d11b681aac898103b3ba723c4')
diff --git a/abs/core/mythplugins/PKGBUILD b/abs/core/mythplugins/PKGBUILD
index dbb0627..a6ac056 100644
--- a/abs/core/mythplugins/PKGBUILD
+++ b/abs/core/mythplugins/PKGBUILD
@@ -14,7 +14,7 @@ pkgname=('mythplugins-mytharchive'
'mythplugins-mythweb'
'mythplugins-mythzoneminder')
pkgver=0.24
-pkgrel=1
+pkgrel=2
arch=('i686' 'x86_64')
url="http://www.mythtv.org"
license=('GPL')
diff --git a/abs/core/myththemes/PKGBUILD b/abs/core/myththemes/PKGBUILD
new file mode 100644
index 0000000..9c71117
--- /dev/null
+++ b/abs/core/myththemes/PKGBUILD
@@ -0,0 +1,51 @@
+# $Id: PKGBUILD 86938 2010-08-06 21:53:33Z ibiru $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Juergen Hoetzel <juergen@archlinux.org>
+# Contributor: kleptophobiac@gmail.com
+
+pkgname=myththemes
+pkgver=0.24
+pkgrel=2
+pkgdesc="Themes for MythTV"
+arch=('any')
+url="http://www.mythtv.org/"
+license=('GPL')
+depends=("mythtv>=${pkgver}")
+source=(`echo ${patches[@]:0}`)
+
+build() {
+ _svntrunk="http://svn.mythtv.org/svn/branches/release-0-24-fixes"
+ _svnmod="${pkgname}"
+
+ # get clean copy from SVN repo
+ if [ -d "${srcdir}/${pkgname}" ]
+ then
+ cd "${srcdir}/${pkgname}"
+ msg "Clean up from previous build..."
+ make distclean
+ msg "Updating from SVN..."
+ svn up
+ else
+ cd "${srcdir}"
+ msg "Checking Out from SVN..."
+ svn co "${_svntrunk}/${_svnmod}"
+ cd "${srcdir}/${pkgname}"
+ fi
+
+ # apply patches
+ echo "--------------------------applying patches----------------------------------------------------"
+ for i in `echo ${patchs[@]:0} `
+ do
+ echo applying $i
+ echo "-----------------------------"
+ patch -Np0 -i ${startdir}/src/$i || return 1
+ done
+ echo "--------------------------done applying patches-----------------------------------------------"
+
+ cd "${srcdir}/${pkgname}"
+ ./configure --prefix=/usr || return 1
+}
+package() {
+ cd "${srcdir}/${pkgname}"
+ make INSTALL_ROOT="${pkgdir}" install || return 1
+}
diff --git a/abs/core/mythtv/stable-0.24/PKGBUILD b/abs/core/mythtv/stable-0.24/PKGBUILD
index a00c1b6..da98662 100755
--- a/abs/core/mythtv/stable-0.24/PKGBUILD
+++ b/abs/core/mythtv/stable-0.24/PKGBUILD
@@ -6,7 +6,7 @@
pkgname=mythtv
pkgver=0.24
-pkgrel=1
+pkgrel=4
pkgdesc="A Homebrew PVR project"
arch=('i686' 'x86_64')
url="http://www.mythtv.org/"
@@ -23,8 +23,7 @@ groups=('pvr')
#options=(!strip)
#MAKEFLAGS="-j6"
install='mythtv.install'
-patchs=()
-#patchs=('smolt_jump.patch')
+patchs=('smolt_jump.patch')
optdepends=('xmltv: to download tv listings')
#replaces=('mythtv-contrib')
#conflicts=('mythtv-contrib')
@@ -39,11 +38,13 @@ build() {
if [ -d "${srcdir}/${pkgname}" ]
then
cd "${srcdir}/${pkgname}"
- echo "Updating from SVN..."
+ msg "Clean up previous build..."
+ make distclean
+ msg "Updating from SVN..."
svn up
- else
+ else
cd "${srcdir}"
- echo "Checking Out from SVN..."
+ msg "Checking Out from SVN..."
svn co "${_svntrunk}/${_svnmod}"
cd "${srcdir}/${pkgname}"
fi
@@ -61,12 +62,6 @@ build() {
sed -i -e "s/\`(svnversion \$\${SVNTREEDIR} 2>\/dev\/null) || echo Unknown\`/$pkgver/" version.pro
find bindings/python contrib -type f | xargs sed -i 's@^#!.*python$@#!/usr/bin/python2@'
- # clean up from last build
- echo " simple configure to make sure the distclean works"
- ./configure
- make distclean
- echo "our configure"
-
ARCH=${CARCH/_/-}
./configure --prefix=/usr --cpu=${ARCH} \
--disable-audio-jack \
@@ -80,7 +75,6 @@ build() {
--enable-opengl-vsync \
--with-bindings=perl,python --python=python2 || return 1
-# qmake mythtv.pro || return 1
make all || return 1
}
@@ -114,6 +108,7 @@ package() {
}
md5sums=('7ef6de58240e7aad389a0b13d91b1cf6'
'2babd4b8e146a7538d18dcd55695b0be'
+ 'a837de9ccc201994320071e48952b17d'
'f735805a80b0d1180dee01f9df1b7004'
'f407d6af23e74a49540755420f84fa58'
'5469d9921b726db750b991c87d226158')
diff --git a/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch b/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
index 2ea90d7..0491803 100644
--- a/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
+++ b/abs/core/mythtv/stable-0.24/menu-xml/mainmenu.xml.patch
@@ -1,5 +1,5 @@
---- themes/defaultmenu/mainmenu.xml.orig 2010-11-06 00:39:35.000000000 +0000
-+++ themes/defaultmenu/mainmenu.xml 2010-11-06 00:41:27.000000000 +0000
+--- themes/defaultmenu/mainmenu.xml.orig 2010-11-08 22:30:08.000000000 +0000
++++ themes/defaultmenu/mainmenu.xml 2010-11-08 22:35:51.000000000 +0000
@@ -2,6 +2,13 @@
<mythmenu name="MAIN">
@@ -14,11 +14,10 @@
<type>MENU_MEDIA_LIBRARY</type>
<text>Media Library</text>
<action>MENU library.xml</action>
-@@ -30,18 +37,4 @@
- <depends>mythmusic mythvideo mytharchive mythburn</depends>
+@@ -31,17 +38,10 @@
</button>
-- <button>
+ <button>
- <type>TV_WATCH_TV</type>
- <text>Watch TV</text>
- <description>Watch live television</description>
@@ -26,10 +25,13 @@
- </button>
-
- <button>
-- <type>MENU_UTILITIES_SETUP</type>
+ <type>MENU_UTILITIES_SETUP</type>
- <text>Utilities / Setup</text>
- <description>Configure MythTV and plugins</description>
- <action>MENU util_menu.xml</action>
-- </button>
--
++ <text>Service Menu</text>
++ <description>Configure your system</description>
++ <action>MENU linhes.xml</action>
+ </button>
+
</mythmenu>
diff --git a/abs/core/mythtv/stable-0.24/smolt_jump.patch b/abs/core/mythtv/stable-0.24/smolt_jump.patch
index 0fc452a..76f884c 100644
--- a/abs/core/mythtv/stable-0.24/smolt_jump.patch
+++ b/abs/core/mythtv/stable-0.24/smolt_jump.patch
@@ -1,30 +1,10 @@
-Index: programs/mythfrontend/networkcontrol.cpp
-===================================================================
---- programs/mythfrontend/networkcontrol.cpp (revision 19291)
-+++ programs/mythfrontend/networkcontrol.cpp (working copy)
-@@ -83,6 +83,7 @@
+--- programs/mythfrontend/networkcontrol.cpp.orig 2010-11-08 23:07:04.000000000 +0000
++++ programs/mythfrontend/networkcontrol.cpp 2010-11-08 23:08:06.000000000 +0000
+@@ -88,6 +88,7 @@
jumpMap["zoneminderliveview"] = "ZoneMinder Live View";
jumpMap["zoneminderevents"] = "ZoneMinder Events";
jumpMap["snapshot"] = "ScreenShot";
+ jumpMap["mythsmolt"] = "MythSmolt";
- // These jump point names match the (lowercased) locations from gContext
jumpMap["channelrecpriority"] = "Channel Recording Priorities";
-@@ -191,7 +192,7 @@
- pthread_create(&command_thread, NULL, CommandThread, this);
-
- gContext->addListener(this);
--
-+
- connect(this, SIGNAL(newConnection()), this, SLOT(newConnection()));
- }
-
-@@ -307,7 +308,7 @@
- cs = new QTextStream(s);
- cs->setCodec("UTF-8");
- }
--
-+
- if (client)
- {
- closedOldConn = true;
+ jumpMap["viewscheduled"] = "Manage Recordings / Fix Conflicts";
diff --git a/abs/core/transcode/PKGBUILD b/abs/core/transcode/PKGBUILD
index 4535bce..574188e 100644
--- a/abs/core/transcode/PKGBUILD
+++ b/abs/core/transcode/PKGBUILD
@@ -1,39 +1,42 @@
-# $Id: PKGBUILD 26150 2009-02-03 03:22:44Z eric $
+# $Id: PKGBUILD 91207 2010-09-24 03:35:03Z eric $
+# Maintainer:
# Contributor: Sarah Hay <sarahhay@mb.sympatico.ca>
-# Maintainer: roberto <roberto@archlinux.org>
+# Contributor: roberto <roberto@archlinux.org>
pkgname=transcode
_sripver=0.3-4
-pkgver=1.1.0
-pkgrel=6
-pkgdesc="Transcode is a video/DVD ripper and encoder for the terminal/console."
-arch=(i686 x86_64)
-license=('GPL2')
-depends=('imagemagick>=6.4.8.10' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg>=20081220' 'mjpegtools' \
- 'xvidcore' 'libmpeg2' 'libtheora' 'libxaw' 'x264>=20090108' 'libxml2' \
- 'libxv' 'a52dec')
-makedepends=('nasm')
-install=transcode.install
-url="http://transcoding.org"
-options=(!libtool !makeflags)
-source=(http://fromani.exit1.org/${pkgname}-${pkgver}.tar.bz2 \
- http://downloads.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz)
-md5sums=('5ca205e32b546402a48ea8004a7b3232' 'c0bd49a88f667c68c4430ad25bbed510')
+pkgver=1.1.5
+pkgrel=5
+pkgdesc="A video/DVD ripper and encoder for the terminal/console"
+arch=('i686' 'x86_64')
+url="http://tcforge.berlios.de/"
+license=('GPL')
+depends=('imagemagick=6.6.5.7' 'lzo2' 'libdv' 'libdvdread' 'ffmpeg-svn' 'mjpegtools'
+ 'libmpeg2' 'libtheora' 'libxaw' 'libxml2' 'libxv' 'a52dec' 'alsa-lib')
+makedepends=('nasm' 'pkg-config')
+options=('!libtool' '!makeflags')
+source=(http://download2.berlios.de/tcforge/${pkgname}-${pkgver}.tar.bz2
+ http://downloads.sourceforge.net/sourceforge/subtitleripper/subtitleripper-${_sripver}.tgz
+ transcode-1.1.5-jpeg-7.patch transcode-1.1.5-mpa.patch)
+md5sums=('41ac6b1c0fe30f3aab286e771fc31b9e' 'c0bd49a88f667c68c4430ad25bbed510'\
+ 'af4056b7530a6f147594f676849e7c7b' 'c299cfc6c4be6a5512d1a129f04e5450')
+sha1sums=('48c36e06ca0cd1cdc1a9c6a241e231f896eefd26' 'd93ff3578dd5f722c8f4ef16bc0903eec5781a0d'\
+ '9e380c00a3b31725dc3ec483fa7bf5e3d8a8a977' '6f45d9167c3aa15a83cb29545749f55eb1f1e5a2')
build() {
- cd $startdir/src/$pkgname-$pkgver
- sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' import/{import_ffmpeg.c,decode_lavc.c} || return 1
- sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' export/{aud_aux.c,export_ffmpeg.c,ffmpeg_cfg.h} || return 1
- sed -i 's|ffmpeg/avcodec.h|libavcodec/avcodec.h|' filter/filter_resample.c || return 1
- autoconf || return 1
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -p0 < ../transcode-1.1.5-jpeg-7.patch
+ patch -p1 < ../transcode-1.1.5-mpa.patch
# building from here
- ./configure --prefix=/usr --enable-deprecated \
+ ./configure --prefix=/usr \
--enable-sse=no --enable-sse2=no --enable-altivec=no --enable-mmx \
- --enable-avifile=no --enable-lame --enable-ogg --enable-vorbis --enable-theora \
- --enable-libdv --enable-a52-default-decoder --enable-libxml2 --enable-v4l \
+ --enable-lame --enable-ogg --enable-vorbis --enable-theora \
+ --enable-libdv --enable-libxml2 --enable-v4l \
--enable-imagemagick --enable-libjpeg --enable-lzo --enable-mjpegtools \
--enable-sdl --enable-freetype2 --enable-a52 --enable-libpostproc \
+ --enable-xvid --enable-x264 --enable-alsa \
+ --enable-libmpeg2 --enable-libmpeg2convert \
--with-libxml2-prefix=/usr \
--with-mjpegtools-prefix=/usr \
--with-imagemagick-prefix=/usr \
@@ -45,23 +48,29 @@ build() {
--with-libavcodec-prefix=/usr \
--with-libavcodec-includes=/usr/include \
--with-libavcodec-libs=/usr/lib
- make || return 1
- make DESTDIR=$startdir/pkg install
+
+ make
##############################################################################
# this imports the latest subtitleripper sources and replaces the internal
-### rm -rf $startdir/src/$pkgname-$pkgver/contrib/subrip
- mkdir $startdir/src/$pkgname-$pkgver/contrib
- tar xzf ../subtitleripper-$_sripver.tgz -C $startdir/src/$pkgname-$pkgver/contrib
- mv $startdir/src/$pkgname-$pkgver/contrib/subtitleripper \
- $startdir/src/$pkgname-$pkgver/contrib/subrip
+ mkdir contrib
+ mv "${srcdir}/subtitleripper" contrib/subrip
# removes dependency on libppm, make it dependend on netpbm just failed, argh...
- sed -i 's|^\(.*lppm.*\)$|#\1|' contrib/subrip/Makefile
- sed -i 's|^\(.*D_HAVE_LIB_PPM.*\)$|#\1|' contrib/subrip/Makefile
cd contrib/subrip
+ sed -e 's|^\(.*lppm.*\)$|#\1|' \
+ -e 's|^\(.*D_HAVE_LIB_PPM.*\)$|#\1|' \
+ -e 's/DEFINES :=/DEFINES = -DHAVE_GETLINE/' \
+ -i Makefile
make
- install -m 755 pgm2txt $startdir/pkg/usr/bin/
- install -m 755 srttool $startdir/pkg/usr/bin/
- install -m 755 subtitle2pgm $startdir/pkg/usr/bin/
- install -m 755 subtitle2vobsub $startdir/pkg/usr/bin/
- install -m 755 vobsub2pgm $startdir/pkg/usr/bin/
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+
+ cd contrib/subrip
+ install -m 755 pgm2txt "${pkgdir}/usr/bin/"
+ install -m 755 srttool "${pkgdir}/usr/bin/"
+ install -m 755 subtitle2pgm "${pkgdir}/usr/bin/"
+ install -m 755 subtitle2vobsub "${pkgdir}/usr/bin/"
+ install -m 755 vobsub2pgm "${pkgdir}/usr/bin/"
}
diff --git a/abs/core/transcode/transcode-1.1.5-jpeg-7.patch b/abs/core/transcode/transcode-1.1.5-jpeg-7.patch
new file mode 100644
index 0000000..288932a
--- /dev/null
+++ b/abs/core/transcode/transcode-1.1.5-jpeg-7.patch
@@ -0,0 +1,16 @@
+http://bugs.gentoo.org/show_bug.cgi?id=294488
+
+Patch by: Salah Coronya
+
+Fix segmentation fault with jpeg-7 and above where dinfo.do_fancy_upsampling isn't set by default to FALSE anymore.
+
+--- export/export_jpg.c
++++ export/export_jpg.c
+@@ -91,6 +91,7 @@
+
+ jpeg_set_quality(&encinfo, quality, TRUE);
+ encinfo.raw_data_in = TRUE;
++ encinfo.do_fancy_downsampling = FALSE;
+ encinfo.in_color_space = JCS_YCbCr;
+
+ encinfo.comp_info[0].h_samp_factor = 2;
diff --git a/abs/core/transcode/transcode-1.1.5-mpa.patch b/abs/core/transcode/transcode-1.1.5-mpa.patch
new file mode 100644
index 0000000..e7fb0fc
--- /dev/null
+++ b/abs/core/transcode/transcode-1.1.5-mpa.patch
@@ -0,0 +1,10 @@
+--- transcode-1.1.5-old/export/aud_aux.c 2010-07-04 12:44:31.867550180 -0500
++++ transcode-1.1.5/export/aud_aux.c 2010-07-04 13:41:01.253292529 -0500
+@@ -347,6 +347,7 @@
+ //-- set parameters (bitrate, channels and sample-rate) --
+ //--------------------------------------------------------
+ memset(&mpa_ctx, 0, sizeof(mpa_ctx)); // default all
++ mpa_ctx.codec_type = CODEC_TYPE_AUDIO;
+ mpa_ctx.bit_rate = vob->mp3bitrate * 1000; // bitrate dest.
+ mpa_ctx.channels = vob->dm_chan; // channels
+ mpa_ctx.sample_rate = vob->a_rate;
diff --git a/abs/core/x264/PKGBUILD b/abs/core/x264/PKGBUILD
index 4f1756b..6b10ec9 100644
--- a/abs/core/x264/PKGBUILD
+++ b/abs/core/x264/PKGBUILD
@@ -3,33 +3,33 @@
# Maintainer: Paul Mattal <paul@archlinux.org>
pkgname=x264
-pkgver=20090416
-pkgrel=1
+pkgver=20101109
+pkgrel=2
pkgdesc="free library for encoding H264/AVC video streams"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
url="http://www.videolan.org/developers/x264.html"
license=('GPL')
-depends=('libx11')
+depends=('libx11' 'gpac')
makedepends=('yasm')
-source=(ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-$pkgver-2245.tar.bz2)
-md5sums=('f5730feaa6175539e8227e48e38b7d67')
+source=(ftp://ftp.videolan.org/pub/videolan/x264/snapshots/x264-snapshot-${pkgver}-2245.tar.bz2)
build() {
- cd "$srcdir/$pkgname-snapshot-$pkgver-2245" || return 1
+ cd "${srcdir}/${pkgname}-snapshot-${pkgver}-2245" || return 1
./configure \
- --enable-pthread \
--enable-visualize \
--enable-shared \
--enable-pic || return 1
make || return 1
- make DESTDIR="$pkgdir" \
+ make DESTDIR="${pkgdir}" \
bindir=/usr/bin \
libdir=/usr/lib \
includedir=/usr/include \
install || return 1
}
+md5sums=('068cc8f2d03b087e0d90fb2c5df70e13')
+
# vim:set ts=2 sw=2 et:
diff --git a/abs/extra/libbluray-git/PKGBUILD b/abs/extra/libbluray-git/PKGBUILD
new file mode 100644
index 0000000..c83dce3
--- /dev/null
+++ b/abs/extra/libbluray-git/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Andrew Cook <ariscop@gmail.com>
+
+pkgname=libbluray-git
+pkgver=20101110
+pkgrel=1
+pkgdesc="Blu-Ray access library"
+arch=('i686' 'x86_64')
+depends=('doxygen')
+license=('LGPL')
+url="http://www.videolan.org/developers/libbluray.html"
+makedepends=('git')
+source=()
+md5sums=()
+provides=('libbluray')
+conflicts=('libbluray')
+
+_gitroot="git://git.videolan.org/libbluray.git"
+_gitname="libbluray"
+
+build() {
+ msg "Connecting to GIT server..."
+
+ if [ -d ${srcdir}/$_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ cd ${srcdir}/libbluray
+ ./bootstrap
+ ./configure --prefix=/
+ make || return 1
+ make DESTDIR=${pkgdir}/usr install || return 1
+}
diff --git a/abs/extra/libdvdcss/PKGBUILD b/abs/extra/libdvdcss/PKGBUILD
index 9b5253e..80772fa 100644
--- a/abs/extra/libdvdcss/PKGBUILD
+++ b/abs/extra/libdvdcss/PKGBUILD
@@ -1,22 +1,24 @@
-# $Id: PKGBUILD 14403 2008-10-06 08:19:39Z douglas $
+# $Id: PKGBUILD 37036 2009-04-30 04:50:40Z eric $
# Maintainer: arjan <arjan@archlinux.org>
# Contributor Sarah Hay <sarahhay@mb.sympatico.ca>
pkgname=libdvdcss
pkgver=1.2.10
-pkgrel=1
+pkgrel=1.1
pkgdesc="libdvdcss is a cross-platform library for transparent DVD device access with on-the-fly CSS decryption."
arch=('i686' 'x86_64')
+license=('GPL')
depends=('glibc')
options=('!libtool')
source=(http://download.videolan.org/pub/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2)
+md5sums=('ebd5370b79ac5a83e5c61b24a214cf74')
url="http://www.videolan.org/libdvdcss/"
-md5sums=('ebd5370b79ac5a83e5c61b24a214cf74')
build() {
- cd $startdir/src/$pkgname-$pkgver
- ./configure --prefix=/usr
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
make || return 1
- make DESTDIR=$startdir/pkg install
+ make DESTDIR=$pkgdir install || return 1
}
+
diff --git a/abs/extra/libdvdnav/PKGBUILD b/abs/extra/libdvdnav/PKGBUILD
index 4e9e3ca..67c56e4 100644
--- a/abs/extra/libdvdnav/PKGBUILD
+++ b/abs/extra/libdvdnav/PKGBUILD
@@ -1,22 +1,30 @@
-# $Id: PKGBUILD 927 2008-04-24 21:34:43Z jgc $
+# $Id: PKGBUILD 69820 2010-02-22 22:23:44Z giovanni $
# Maintainer: arjan <arjan@archlinux.org>
# contributor Sarah Hay <sarahhay@mb.sympatico.ca>
pkgname=libdvdnav
-pkgver=0.1.10
-pkgrel=3
+pkgver=4.1.3
+pkgrel=2
pkgdesc="The library for xine-dvdnav plugin."
arch=(i686 x86_64)
license=('GPL')
-url="http://dvd.sourceforge.net/index.shtml"
-depends=('glibc')
+url="http://www.mplayerhq.hu/MPlayer/releases/dvdnav/"
+depends=('libdvdread>=4.1.3')
options=(!libtool)
-source=(http://downloads.sourceforge.net/sourceforge/dvd/${pkgname}-${pkgver}.tar.gz)
-md5sums=('c8ddee96ba1182d73447eaf0bb6fde81')
+source=(http://www.mplayerhq.hu/MPlayer/releases/dvdnav/${pkgname}-${pkgver}.tar.bz2
+ deadlock.patch)
+md5sums=('d62383c45b28816771e283515f2c27fa'
+ '864529165a1136ae4c1ccbc7b43cdb1a')
build() {
- cd ${startdir}/src/${pkgname}-${pkgver}
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ patch -Np1 -i ${srcdir}/deadlock.patch || return 1
+
./autogen.sh --prefix=/usr || return 1
make || return 1
- make DESTDIR=${startdir}/pkg install || return 1
+ make DESTDIR="${pkgdir}" install || return 1
}
+
+md5sums=('d62383c45b28816771e283515f2c27fa'
+ 'd26d9ab9d705e4e3fa16e0592ad33c79')
diff --git a/abs/extra/libdvdnav/deadlock.patch b/abs/extra/libdvdnav/deadlock.patch
new file mode 100644
index 0000000..2a58240
--- /dev/null
+++ b/abs/extra/libdvdnav/deadlock.patch
@@ -0,0 +1,17 @@
+--- a/src/dvdnav.c 2009-11-08 16:58:25.000000000 +0300
++++ b/src/dvdnav.c 2009-11-08 16:58:52.000000000 +0300
+@@ -180,12 +180,13 @@
+ pthread_mutex_unlock(&this->vm_lock);
+ return DVDNAV_STATUS_ERR;
+ }
++ pthread_mutex_unlock(&this->vm_lock);
++
+ #ifdef LOG_DEBUG
+ fprintf(MSG_OUT, "libdvdnav: clearing dvdnav\n");
+ #endif
+ result = dvdnav_clear(this);
+
+- pthread_mutex_unlock(&this->vm_lock);
+ return result;
+ }
+
diff --git a/abs/extra/libdvdread/DVDFileStat.patch b/abs/extra/libdvdread/DVDFileStat.patch
new file mode 100644
index 0000000..04d06f7
--- /dev/null
+++ b/abs/extra/libdvdread/DVDFileStat.patch
@@ -0,0 +1,238 @@
+diff -pruN libdvdread-4.1.3/src/dvd_reader.c libdvdread-4.1.3.new/src/dvd_reader.c
+--- libdvdread-4.1.3/src/dvd_reader.c 2008-09-06 23:55:51.000000000 +0200
++++ libdvdread-4.1.3.new/src/dvd_reader.c 2009-02-28 01:36:20.000000000 +0100
+@@ -889,6 +889,187 @@ void DVDCloseFile( dvd_file_t *dvd_file
+ }
+ }
+
++static int DVDFileStatVOBUDF(dvd_reader_t *dvd, int title,
++ int menu, dvd_stat_t *statbuf)
++{
++ char filename[ MAX_UDF_FILE_NAME_LEN ];
++ uint32_t size;
++ off_t tot_size;
++ off_t parts_size[9];
++ int nr_parts = 0;
++ int n;
++
++ if( title == 0 ) {
++ sprintf( filename, "/VIDEO_TS/VIDEO_TS.VOB" );
++ } else {
++ sprintf( filename, "/VIDEO_TS/VTS_%02d_%d.VOB", title, menu ? 0 : 1 );
++ }
++ if(!UDFFindFile( dvd, filename, &size )) {
++ return -1;
++ }
++ tot_size = size;
++ nr_parts = 1;
++ parts_size[0] = size;
++
++ if( !menu ) {
++ int cur;
++
++ for( cur = 2; cur < 10; cur++ ) {
++ sprintf( filename, "/VIDEO_TS/VTS_%02d_%d.VOB", title, cur );
++ if( !UDFFindFile( dvd, filename, &size ) ) {
++ break;
++ }
++ parts_size[nr_parts] = size;
++ tot_size += size;
++ nr_parts++;
++ }
++ }
++
++ statbuf->size = tot_size;
++ statbuf->nr_parts = nr_parts;
++ for(n = 0; n < nr_parts; n++) {
++ statbuf->parts_size[n] = parts_size[n];
++ }
++ return 0;
++}
++
++
++static int DVDFileStatVOBPath( dvd_reader_t *dvd, int title,
++ int menu, dvd_stat_t *statbuf )
++{
++ char filename[ MAX_UDF_FILE_NAME_LEN ];
++ char full_path[ PATH_MAX + 1 ];
++ struct stat fileinfo;
++ off_t tot_size;
++ off_t parts_size[9];
++ int nr_parts = 0;
++ int n;
++
++
++
++ if( title == 0 ) {
++ sprintf( filename, "VIDEO_TS.VOB" );
++ } else {
++ sprintf( filename, "VTS_%02d_%d.VOB", title, menu ? 0 : 1 );
++ }
++ if( !findDVDFile( dvd, filename, full_path ) ) {
++ return -1;
++ }
++
++ if( stat( full_path, &fileinfo ) < 0 ) {
++ fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
++ return -1;
++ }
++
++
++ tot_size = fileinfo.st_size;
++ nr_parts = 1;
++ parts_size[0] = fileinfo.st_size;
++
++ if( !menu ) {
++ int cur;
++
++ for( cur = 2; cur < 10; cur++ ) {
++
++ sprintf( filename, "VTS_%02d_%d.VOB", title, cur );
++ if( !findDVDFile( dvd, filename, full_path ) ) {
++ break;
++ }
++
++ if( stat( full_path, &fileinfo ) < 0 ) {
++ fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
++ break;
++ }
++
++ parts_size[nr_parts] = fileinfo.st_size;
++ tot_size += parts_size[nr_parts];
++ nr_parts++;
++ }
++ }
++
++ statbuf->size = tot_size;
++ statbuf->nr_parts = nr_parts;
++ for(n = 0; n < nr_parts; n++) {
++ statbuf->parts_size[n] = parts_size[n];
++ }
++ return 0;
++}
++
++
++int DVDFileStat(dvd_reader_t *dvd, int titlenum,
++ dvd_read_domain_t domain, dvd_stat_t *statbuf)
++{
++ char filename[ MAX_UDF_FILE_NAME_LEN ];
++ char full_path[ PATH_MAX + 1 ];
++ struct stat fileinfo;
++ uint32_t size;
++
++ /* Check arguments. */
++ if( dvd == NULL || titlenum < 0 ) {
++ errno = EINVAL;
++ return -1;
++ }
++
++ switch( domain ) {
++ case DVD_READ_INFO_FILE:
++ if( titlenum == 0 ) {
++ sprintf( filename, "/VIDEO_TS/VIDEO_TS.IFO" );
++ } else {
++ sprintf( filename, "/VIDEO_TS/VTS_%02i_0.IFO", titlenum );
++ }
++ break;
++ case DVD_READ_INFO_BACKUP_FILE:
++ if( titlenum == 0 ) {
++ sprintf( filename, "/VIDEO_TS/VIDEO_TS.BUP" );
++ } else {
++ sprintf( filename, "/VIDEO_TS/VTS_%02i_0.BUP", titlenum );
++ }
++ break;
++ case DVD_READ_MENU_VOBS:
++ if( dvd->isImageFile ) {
++ return DVDFileStatVOBUDF( dvd, titlenum, 1, statbuf );
++ } else {
++ return DVDFileStatVOBPath( dvd, titlenum, 1, statbuf );
++ }
++ break;
++ case DVD_READ_TITLE_VOBS:
++ if( titlenum == 0 ) {
++ return -1;
++ }
++ if( dvd->isImageFile ) {
++ return DVDFileStatVOBUDF( dvd, titlenum, 0, statbuf );
++ } else {
++ return DVDFileStatVOBPath( dvd, titlenum, 0, statbuf );
++ }
++ break;
++ default:
++ fprintf( stderr, "libdvdread: Invalid domain for file stat.\n" );
++ errno = EINVAL;
++ return -1;
++ }
++
++ if( dvd->isImageFile ) {
++ if( UDFFindFile( dvd, filename, &size ) ) {
++ statbuf->size = size;
++ statbuf->nr_parts = 1;
++ statbuf->parts_size[0] = size;
++ return 0;
++ }
++ } else {
++ if( findDVDFile( dvd, filename, full_path ) ) {
++ if( stat( full_path, &fileinfo ) < 0 ) {
++ fprintf( stderr, "libdvdread: Can't stat() %s.\n", filename );
++ } else {
++ statbuf->size = fileinfo.st_size;
++ statbuf->nr_parts = 1;
++ statbuf->parts_size[0] = statbuf->size;
++ return 0;
++ }
++ }
++ }
++ return -1;
++}
++
+ /* Internal, but used from dvd_udf.c */
+ int UDFReadBlocksRaw( dvd_reader_t *device, uint32_t lb_number,
+ size_t block_count, unsigned char *data,
+diff -pruN libdvdread-4.1.3/src/dvd_reader.h libdvdread-4.1.3.new/src/dvd_reader.h
+--- libdvdread-4.1.3/src/dvd_reader.h 2008-09-06 23:55:51.000000000 +0200
++++ libdvdread-4.1.3.new/src/dvd_reader.h 2009-02-28 01:36:49.000000000 +0100
+@@ -115,6 +115,42 @@ typedef enum {
+ } dvd_read_domain_t;
+
+ /**
++ *
++ */
++typedef struct {
++ off_t size; /**< Total size of file in bytes */
++ int nr_parts; /**< Number of file parts */
++ off_t parts_size[9]; /**< Size of each part in bytes */
++} dvd_stat_t;
++
++/**
++ * Stats a file on the DVD given the title number and domain.
++ * The information about the file is stored in a dvd_stat_t
++ * which contains information about the size of the file and
++ * the number of parts in case of a multipart file and the respective
++ * sizes of the parts.
++ * A multipart file is for instance VTS_02_1.VOB, VTS_02_2.VOB, VTS_02_3.VOB
++ * The size of VTS_02_1.VOB will be stored in stat->parts_size[0],
++ * VTS_02_2.VOB in stat->parts_size[1], ...
++ * The total size (sum of all parts) is stored in stat->size and
++ * stat->nr_parts will hold the number of parts.
++ * Only DVD_READ_TITLE_VOBS (VTS_??_[1-9].VOB) can be multipart files.
++ *
++ * This function is only of use if you want to get the size of each file
++ * in the filesystem. These sizes are not needed to use any other
++ * functions in libdvdread.
++ *
++ * @param dvd A dvd read handle.
++ * @param titlenum Which Video Title Set should be used, VIDEO_TS is 0.
++ * @param domain Which domain.
++ * @param stat Pointer to where the result is stored.
++ * @return If successful 0, otherwise -1.
++ *
++ * int DVDFileStat(dvd, titlenum, domain, stat);
++ */
++int DVDFileStat(dvd_reader_t *, int, dvd_read_domain_t, dvd_stat_t *);
++
++/**
+ * Opens a file on the DVD given the title number and domain.
+ *
+ * If the title number is 0, the video manager information is opened
+
diff --git a/abs/extra/libdvdread/PKGBUILD b/abs/extra/libdvdread/PKGBUILD
new file mode 100644
index 0000000..edbdaa4
--- /dev/null
+++ b/abs/extra/libdvdread/PKGBUILD
@@ -0,0 +1,36 @@
+# $Id: PKGBUILD 80196 2010-05-13 15:59:09Z andrea $
+# Maintainer:
+# Contributor: Thomas Baechler <thomas@archlinux.org>
+# Contributor: Tom Newsom <Jeepster@gmx.co.uk>
+
+pkgname=libdvdread
+pkgver=4.1.3
+pkgrel=2
+pkgdesc="Provides a simple foundation for reading DVD video disks"
+arch=(i686 x86_64)
+url="http://www.mplayerhq.hu/MPlayer/releases/dvdnav/"
+license=('GPL')
+depends=('glibc')
+makedepends=('libdvdcss')
+optdepends=('libdvdcss: for decoding encrypted DVDs')
+options=('!libtool')
+source=("http://www.mplayerhq.hu/MPlayer/releases/dvdnav/${pkgname}-${pkgver}.tar.bz2"
+ 'DVDFileStat.patch')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ # http://lists.mplayerhq.hu/pipermail/dvdnav-discuss/2009-February/000986.html (FS#19324)
+ patch -Np1 -i ${srcdir}/DVDFileStat.patch || return 1
+
+ ./autogen.sh --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums=('6dc068d442c85a3cdd5ad3da75f6c6e8'
+ '140d02afbf66bfbf034549157ed4f7ad')
diff --git a/abs/extra/libva/PKGBUILD b/abs/extra/libva/PKGBUILD
new file mode 100644
index 0000000..16cb53c
--- /dev/null
+++ b/abs/extra/libva/PKGBUILD
@@ -0,0 +1,34 @@
+# $Id: PKGBUILD 96203 2010-10-19 09:46:04Z ibiru $
+# Maintainer : Ionut Biru <ibiru@archlinux.org>
+pkgname=libva
+pkgver=1.0.6
+pkgrel=1
+pkgdesc="Video Acceleration (VA) API for Linux"
+arch=('i686' 'x86_64')
+url="http://freedesktop.org/wiki/Software/vaapi"
+license=('MIT')
+depends=('libgl' 'libdrm' 'libxfixes')
+makedepends=('mesa')
+optdepends=('vdpau-video: VDPAU backend for VA API')
+options=('!libtool')
+source=(http://cgit.freedesktop.org/libva/snapshot/${pkgname}-${pkgver}.tar.bz2)
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./autogen.sh
+ ./configure --prefix=/usr \
+ --enable-i965-driver \
+ --enable-glx
+ make
+}
+
+package() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR="${pkgdir}" install
+ install -m644 -D COPYING ${pkgdir}/usr/share/licenses/${pkgname}/COPYING
+}
+
+# vim:set ts=2 sw=2 et:
+md5sums=('c4680eb0d9004c72cd6e4de45cf479cf'
+ '88f1142a1f437f2de7d8e9fd50c5b33c')
+md5sums=('c4680eb0d9004c72cd6e4de45cf479cf')
diff --git a/abs/extra/libva/libva-dont-install-tests.patch b/abs/extra/libva/libva-dont-install-tests.patch
new file mode 100644
index 0000000..0c3d120
--- /dev/null
+++ b/abs/extra/libva/libva-dont-install-tests.patch
@@ -0,0 +1,45 @@
+--- test/basic/Makefile.am~ 2010-02-12 09:42:10.000000000 -0500
++++ test/basic/Makefile.am 2010-03-10 13:36:50.449834525 -0500
+@@ -20,7 +20,7 @@
+ # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+-bin_PROGRAMS = test_01 test_02 test_03 test_04 test_05 test_06 \
++check_PROGRAMS = test_01 test_02 test_03 test_04 test_05 test_06 \
+ test_07 test_08 test_09 test_10 test_11
+
+ AM_CFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/src/x11 -DIN_LIBVA
+--- test/decode/Makefile.am~ 2010-02-12 09:42:10.000000000 -0500
++++ test/decode/Makefile.am 2010-03-10 13:37:09.636843464 -0500
+@@ -20,7 +20,7 @@
+ # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+-bin_PROGRAMS = mpeg2vldemo
++check_PROGRAMS = mpeg2vldemo
+
+ AM_CFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/src/x11 -DIN_LIBVA
+
+--- test/encode/Makefile.am~ 2010-02-12 09:42:10.000000000 -0500
++++ test/encode/Makefile.am 2010-03-10 13:37:26.701846294 -0500
+@@ -20,7 +20,7 @@
+ # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+-bin_PROGRAMS = h264encode
++check_PROGRAMS = h264encode
+
+ AM_CFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/src/x11 -DIN_LIBVA
+
+--- test/putsurface/Makefile.am~ 2010-03-10 13:18:55.270697040 -0500
++++ test/putsurface/Makefile.am 2010-03-10 13:38:08.106713556 -0500
+@@ -20,7 +20,7 @@
+ # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+-bin_PROGRAMS = putsurface
++check_PROGRAMS = putsurface
+
+ AM_CFLAGS = -I$(top_srcdir)/src -I$(top_srcdir)/src/x11 -DIN_LIBVA
+
+
diff --git a/abs/extra/libva/patch1.patch b/abs/extra/libva/patch1.patch
new file mode 100644
index 0000000..b455857
--- /dev/null
+++ b/abs/extra/libva/patch1.patch
@@ -0,0 +1,11 @@
+--- test/basic/Makefile.am.orig 2010-11-10 00:34:13.000000000 +0000
++++ test/basic/Makefile.am 2010-11-10 00:34:54.000000000 +0000
+@@ -20,7 +20,7 @@
+ # TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
+ # SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+-bin_PROGRAMS = test_01 test_02 test_03 test_04 test_05 test_06 \
++check_PROGRAMS = test_01 test_02 test_03 test_04 test_05 test_06 \
+ test_07 test_08 test_09 test_10 test_11
+
+ AM_CFLAGS = -I$(top_srcdir)/va -I$(top_srcdir)/src/x11
diff --git a/abs/extra/libvpx/PKGBUILD b/abs/extra/libvpx/PKGBUILD
new file mode 100644
index 0000000..1f00831
--- /dev/null
+++ b/abs/extra/libvpx/PKGBUILD
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD 97641 2010-10-31 21:07:06Z ibiru $
+# Maintainer: Ionut Biru <ibiru@archlinux.org>
+pkgname=libvpx
+pkgver=0.9.5
+pkgrel=1
+pkgdesc="The VP8 Codec SDK"
+arch=('i686' 'x86_64')
+url="http://www.webmproject.org/"
+license=('BSD')
+depends=('glibc')
+makedepends=('yasm')
+source=(http://webm.googlecode.com/files/${pkgname}-v${pkgver}.tar.bz2)
+sha1sums=('223965ff16737251afb3377c0800d1f8b5f84379')
+
+build() {
+ cd "${srcdir}/${pkgname}-v${pkgver}"
+ ./configure --enable-vp8 \
+ --enable-runtime-cpu-detect \
+ --enable-shared \
+ --enable-postproc \
+ --enable-pic \
+ --disable-install-docs \
+ --disable-install-srcs
+ make
+ make DIST_DIR="$pkgdir/usr" install
+ install -D -m 0644 LICENSE "$pkgdir/usr/share/licenses/${pkgname}/LICENSE"
+}
+
diff --git a/abs/extra/mpg123/PKGBUILD b/abs/extra/mpg123/PKGBUILD
new file mode 100644
index 0000000..5b1b335
--- /dev/null
+++ b/abs/extra/mpg123/PKGBUILD
@@ -0,0 +1,33 @@
+# $Id: PKGBUILD 85300 2010-07-11 18:52:51Z eric $
+# Maintainer: Hugo Doria <hugo@archlinux.org>
+# Contributor: Giovanni Scafora <giovanni@archlinux.org>
+
+pkgname=mpg123
+pkgver=1.12.3
+pkgrel=1
+pkgdesc="A console based real time MPEG Audio Player for Layer 1, 2 and 3"
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/mpg123"
+license=('GPL2' 'LGPL2.1')
+depends=('glibc' 'libtool' 'alsa-lib')
+makedepends=('esound' 'sdl')
+optdepends=('esound: for additional audio support' 'sdl: for additional audio support')
+conflicts=('mpg321')
+provides=('mpg321')
+replaces=('mpg321')
+options=('libtool')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('c1568be2d1715786bd6b1a89ec6fa7ef')
+sha1sums=('5e92d3c918f6095264089f711a9f38a5d2168b31')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --with-audio="alsa esd sdl"
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+}
+
diff --git a/abs/extra/opencore-amr/PKGBUILD b/abs/extra/opencore-amr/PKGBUILD
new file mode 100644
index 0000000..2c569d8
--- /dev/null
+++ b/abs/extra/opencore-amr/PKGBUILD
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 62600 2010-01-10 14:06:30Z ibiru $
+# Maintainer: Ionut Biru <ionut@archlinux.ro>
+# Contributor: WAntilles <wantilles@adslgr.com>
+
+pkgname=opencore-amr
+pkgver=0.1.2
+pkgrel=1
+pkgdesc="Open source implementation of the Adaptive Multi Rate (AMR) speech codec"
+arch=('i686' 'x86_64')
+license=('APACHE')
+url="http://opencore-amr.sourceforge.net/"
+depends=('gcc-libs')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+options=('!libtool')
+md5sums=('8e8b8b253eb046340ff7b6bf7a6ccd3e')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR=${pkgdir}/ install || return 1
+}
+
diff --git a/abs/extra/orc/PKGBUILD b/abs/extra/orc/PKGBUILD
new file mode 100644
index 0000000..659bc47
--- /dev/null
+++ b/abs/extra/orc/PKGBUILD
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 98440 2010-11-08 23:53:36Z ibiru $
+# Maintainer: Ionut Biru <ibiru@archlinux.org>
+pkgname=orc
+pkgver=0.4.11
+pkgrel=1
+pkgdesc="The Oild Runtime Compiler"
+arch=('i686' 'x86_64')
+license=('custom')
+url="http://code.entropywave.com/projects/orc/"
+depends=('glibc')
+options=('!libtool')
+source=(http://code.entropywave.com/download/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('b8b0b148d319422c3ad250c29483b3c4')
+
+build () {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --prefix=/usr \
+ --disable-static
+ make
+ make DESTDIR=${pkgdir} install
+ install -Dm644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
+}
+
diff --git a/abs/extra/rtmpdump/PKGBUILD b/abs/extra/rtmpdump/PKGBUILD
index 33d90b1..ee3c007 100644
--- a/abs/extra/rtmpdump/PKGBUILD
+++ b/abs/extra/rtmpdump/PKGBUILD
@@ -1,19 +1,34 @@
-# $Id: PKGBUILD 5936 2008-07-21 20:24:16Z thomas $
-# Maintainer: Cecil Watson<knoppmyth@gmail.com>
-
+# Maintainer: xduugu
+# Contributor: Elis Hughes <elishughes@googlemail.com>
pkgname=rtmpdump
-pkgver=1.2a
+pkgver=2.3
pkgrel=2
-pkgdesc="A small dumper for media content streamed over the RTMP protocol."
+pkgdesc="A tool to download rtmp:// and rtmpe:// streams"
arch=('i686' 'x86_64')
-license=('GPL2')
-url="http://sourceforge.net/projects/rtmpdump/"
-depends=('boost')
-source=('http://garr.dl.sourceforge.net/sourceforge/rtmpdump/rtmpdump-v1.2a.tar.gz')
+url="http://rtmpdump.mplayerhq.hu/"
+license=('LGPL')
+depends=('openssl')
+source=(
+ http://mirrors.kernel.org/gentoo/distfiles/$pkgname-$pkgver.tgz
+ # Upstream is not accessible from Vodafone/Germany
+ #http://rtmpdump.mplayerhq.hu/download/$pkgname-$pkgver.tgz
+)
+md5sums=('eb961f31cd55f0acf5aad1a7b900ef59')
+sha256sums=('ef38b7a99d82ce6912063d21063aeaf28185341b3df486e24bffce5354224b2c')
+
+#if [[ ! -e "$SRCDEST/${source[0]##*/}" ]]; then
+ #cd "$SRCDEST"
+ #download_file "$(get_downloadclient "$(get_url "${source[0]}")")" "$(get_url "${source[0]}")" "$(get_filename "${source[0]}")" \
+ #|| download_file "$(get_downloadclient "$(get_url "${source[1]}")")" "$(get_url "${source[1]}")" "$(get_filename "${source[1]}")"
+ #cd "$OLDPWD"
+#fi
build() {
- cd $startdir/src/rtmpdump
- make
- mkdir -p $startdir/pkg/usr/bin
- cp -p rtmpdump $startdir/pkg/usr/bin
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -i 's/^install_so.0:.*/& install_base/' librtmp/Makefile
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make prefix=/usr MANDIR="$pkgdir/usr/share/man" DESTDIR="$pkgdir" install
}
diff --git a/abs/extra/schroedinger/PKGBUILD b/abs/extra/schroedinger/PKGBUILD
new file mode 100644
index 0000000..0de2d23
--- /dev/null
+++ b/abs/extra/schroedinger/PKGBUILD
@@ -0,0 +1,29 @@
+# $Id: PKGBUILD 79531 2010-05-04 09:01:27Z ibiru $
+# Maintainer: Ionut Biru <ibiru@archlinux.org>
+# Contributor: Timm Preetz <timm@preetz.us>
+# Contributor: rabyte <rabyte__gmail>
+pkgname=schroedinger
+pkgver=1.0.9
+pkgrel=1
+pkgdesc="An implemenation of the Dirac video codec in ANSI C code"
+arch=('i686' 'x86_64')
+url="http://www.diracvideo.org/"
+license=('GPL2' 'LGPL2' 'MPL' 'MIT')
+depends=('orc>=0.4.3')
+makedepends=('pkgconfig')
+options=(!libtool)
+source=(http://www.diracvideo.org/download/schroedinger/$pkgname-$pkgver.tar.gz)
+md5sums=('d67ec48b7c506db8c8b49156bf409e60')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ export LDFLAGS="${LDFLAGS//-Wl,--as-needed}"
+ ./configure --prefix=/usr
+
+ make || return 1
+ make DESTDIR=$pkgdir install
+
+ install -m644 -D COPYING.MIT $pkgdir/usr/share/licenses/$pkgname/COPYING.MIT
+}
+